### Property

# Ide Buffer:change-monitor

#### Declaration

    property change-monitor: Ide.BufferChangeMonitor [ read, write ]

#### Description

The “change-monitor” property is an `IdeBufferChangeMonitor` that will be used to track changes in the `IdeBuffer`. This can be used to show line changes in the editor gutter.

Type: | `IdeBufferChangeMonitor`
Available since: | 3.32

Setter method | `ide_buffer_set_change_monitor()`
Getter method | `ide_buffer_get_change_monitor()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no